ftdi_eeprom Struct Reference

FTDI eeprom structure. More...

`#include <ftdi.h>`

## Public Attributes

int | vendor_id
int | product_id
int | self_powered
int | remote_wakeup
int | chip_type
int | in_is_isochronous
int | out_is_isochronous
int | suspend_pull_downs
int | use_serial
int | change_usb_version
int | usb_version
int | max_power
char * | manufacturer
char * | product
char * | serial
int | cbus_function [5]
int | high_current
int | invert
int | size

## Detailed Description

FTDI eeprom structure.

Definition at line 309 of file ftdi.h.

## Member Data Documentation

int ftdi_eeprom::vendor_id

vendor id

Definition at line 312 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::product_id

product id

Definition at line 314 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::self_powered

self powered

Definition at line 317 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::remote_wakeup

remote wakeup

Definition at line 319 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::chip_type

chip type

Definition at line 321 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::in_is_isochronous

input in isochronous transfer mode

Definition at line 324 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::out_is_isochronous

output in isochronous transfer mode

Definition at line 326 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::suspend_pull_downs

suspend pull downs

Definition at line 328 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::use_serial

use serial

Definition at line 331 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::change_usb_version

fake usb version

Definition at line 333 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::usb_version

usb version

Definition at line 335 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::max_power

maximum power

Definition at line 337 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

char* ftdi_eeprom::manufacturer

manufacturer name

Definition at line 340 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_free(), and ftdi_eeprom_initdefaults().

char* ftdi_eeprom::product

product name

Definition at line 342 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_free(), and ftdi_eeprom_initdefaults().

char* ftdi_eeprom::serial

serial number

Definition at line 344 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_free(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::cbus_function[5]

CBUS pin function. See CBUS_xxx defines.

Definition at line 348 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::high_current

Select hight current drive.

Definition at line 350 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::invert

Select inversion of data lines (bitmask).

Definition at line 352 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), and ftdi_eeprom_initdefaults().

int ftdi_eeprom::size

eeprom size in bytes. This doesn't get stored in the eeprom but is the only way to pass it to ftdi_eeprom_build.

Definition at line 356 of file ftdi.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), and ftdi_eeprom_setsize().

The documentation for this struct was generated from the following file:

- ftdi.h